Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Attributes | List of all members
eZ\Publish\Core\Persistence\Cache\UrlWildcardHandler Class Reference
Inheritance diagram for eZ\Publish\Core\Persistence\Cache\UrlWildcardHandler:

## Public Member Functions
| create ($sourceUrl, $destinationUrl, $forward=false)
| remove ($id)
| load ($id)
| loadAll ($offset=0, $limit=-1)
| translate (string $sourceUrl)
| exactSourceUrlExists (string $sourceUrl)
Public Member Functions inherited from eZ\Publish\Core\Persistence\Cache\AbstractHandler
| __construct (TagAwareAdapterInterface $cache, PersistenceHandler $persistenceHandler, PersistenceLogger $logger, CacheIdentifierGeneratorInterface $cacheIdentifierGenerator, CacheIdentifierSanitizer $cacheIdentifierSanitizer, LocationPathConverter $locationPathConverter)
| Setups current handler with everything needed. More...

## Private Attributes
const | NOT_FOUND = 0
| Constant used for storing not found results for lookup(). More...
const | URL_WILDCARD_IDENTIFIER = 'url_wildcard'
const | URL_WILDCARD_NOT_FOUND_IDENTIFIER = 'url_wildcard_not_found'
const | URL_WILDCARD_SOURCE_IDENTIFIER = 'url_wildcard_source'

## Additional Inherited Members
Protected Member Functions inherited from eZ\Publish\Core\Persistence\Cache\AbstractHandler
| getMultipleCacheItems (array $ids, string $keyPrefix, callable $missingLoader, callable $loadedTagger, array $keySuffixes=[])
| Helper for getting multiple cache items in one call and do the id extraction for you. More...
Protected Attributes inherited from eZ\Publish\Core\Persistence\Cache\AbstractHandler
| $cache
| $persistenceHandler
| $logger
| $cacheIdentifierGenerator
| $cacheIdentifierSanitizer
| $locationPathConverter

## Detailed Description

Definition at line 14 of file UrlWildcardHandler.php.

## Member Function Documentation

## ◆ create()

eZ\Publish\Core\Persistence\Cache\UrlWildcardHandler::create | ( |  | $sourceUrl,
|  |  | $destinationUrl,
|  |  | $forward = `false`
| ) |  |

See also
  \eZ\Publish\SPI\Persistence\Content\UrlWildcard\Handler::create

Implements eZ\Publish\SPI\Persistence\Content\UrlWildcard\Handler.

Definition at line 27 of file UrlWildcardHandler.php.

## ◆ exactSourceUrlExists()

eZ\Publish\Core\Persistence\Cache\UrlWildcardHandler::exactSourceUrlExists | ( | string | $sourceUrl | ) |

See also
  \eZ\Publish\SPI\Persistence\Content\UrlWildcard\Handler::exactSourceUrlExists()

Implements eZ\Publish\SPI\Persistence\Content\UrlWildcard\Handler.

Definition at line 144 of file UrlWildcardHandler.php.

## ◆ load()

eZ\Publish\Core\Persistence\Cache\UrlWildcardHandler::load | ( |  | $id | ) |

See also
  \eZ\Publish\SPI\Persistence\Content\UrlWildcard\Handler::load

Implements eZ\Publish\SPI\Persistence\Content\UrlWildcard\Handler.

Definition at line 64 of file UrlWildcardHandler.php.

## ◆ loadAll()

eZ\Publish\Core\Persistence\Cache\UrlWildcardHandler::loadAll | ( |  | $offset = `0`,
|  |  | $limit = `-1`
| ) |  |

See also
  \eZ\Publish\SPI\Persistence\Content\UrlWildcard\Handler::loadAll

Implements eZ\Publish\SPI\Persistence\Content\UrlWildcard\Handler.

Definition at line 90 of file UrlWildcardHandler.php.

## ◆ remove()

eZ\Publish\Core\Persistence\Cache\UrlWildcardHandler::remove | ( |  | $id | ) |

See also
  \eZ\Publish\SPI\Persistence\Content\UrlWildcard\Handler::remove

Implements eZ\Publish\SPI\Persistence\Content\UrlWildcard\Handler.

Definition at line 50 of file UrlWildcardHandler.php.

## ◆ translate()

eZ\Publish\Core\Persistence\Cache\UrlWildcardHandler::translate | ( | string | $sourceUrl | ) |

See also
  \eZ\Publish\SPI\Persistence\Content\UrlWildcard\Handler::lookup

Implements eZ\Publish\SPI\Persistence\Content\UrlWildcard\Handler.

Definition at line 100 of file UrlWildcardHandler.php.

## Member Data Documentation

## ◆ NOT_FOUND

const eZ\Publish\Core\Persistence\Cache\UrlWildcardHandler::NOT_FOUND = 0
| private

Constant used for storing not found results for lookup().

Definition at line 19 of file UrlWildcardHandler.php.

## ◆ URL_WILDCARD_IDENTIFIER

const eZ\Publish\Core\Persistence\Cache\UrlWildcardHandler::URL_WILDCARD_IDENTIFIER = 'url_wildcard'
| private

Definition at line 20 of file UrlWildcardHandler.php.

## ◆ URL_WILDCARD_NOT_FOUND_IDENTIFIER

const eZ\Publish\Core\Persistence\Cache\UrlWildcardHandler::URL_WILDCARD_NOT_FOUND_IDENTIFIER = 'url_wildcard_not_found'
| private

Definition at line 21 of file UrlWildcardHandler.php.

## ◆ URL_WILDCARD_SOURCE_IDENTIFIER

const eZ\Publish\Core\Persistence\Cache\UrlWildcardHandler::URL_WILDCARD_SOURCE_IDENTIFIER = 'url_wildcard_source'
| private

Definition at line 22 of file UrlWildcardHandler.php.

The documentation for this class was generated from the following file:

- UrlWildcardHandler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.